@import url('./_common.css');

/* Light Colors */
:root {
    --white: var(--foreground);

    --text: #2e3440;

	--background: hsl(0, 0%, 95%);

	--foreground-lighter: hsl(0, 0%, 100%);
	--foreground-light: hsl(0, 0%, 100%);
	--foreground: hsl(0, 0%, 98%);
	--foreground-dark: hsl(0, 0%, 97%);
	--foreground-darker: hsl(0, 0%, 90%);
	--foreground-darkest: hsl(0, 0%, 83%);
    
    --accent: #5e81ac;
    --accent-secondary: #8fbcbb;

    --shadow-primary: 0 4px 12px 0 rgba(0, 0, 0, 0.15); 
    --shadow-secondary: 0 4px 6px 0 rgba(0, 0, 0, 0.15); 
}

/* Dark Colors */
@media (prefers-color-scheme: dark) {
    :root {
        --white: var(--text);

        --text: #e8eef2;

        --background: hsl(0, 0%, 20%);

        --foreground-lighter:   hsl(0, 0%, 30%);
        --foreground-light:     hsl(0, 0%, 25%);
        --foreground:           hsl(0, 0%, 21%);
        --foreground-dark:      hsl(0, 0%, 18%);
        --foreground-darker:    hsl(0, 0%, 16%);
        --foreground-darkest:   hsl(0, 0%, 8%);

        --accent: #4991D8;
        --accent-secondary: #35689c;

        --shadow-primary: 0 4px 12px 0 rgba(0, 0, 0, 0.5);
        --shadow-secondary: 0 4px 6px 0 rgba(0, 0, 0, 0.5);
    }
}